---
title: Delete
url: https://www.tines.com/docs/api/stories/links/delete/
updated: 2026-03-09T14:32:42+00:00
description: Delete one or more links between actions. All links must belong to the same story.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Stories](https://www.tines.com/llm/docs/api/stories.md) › [Links](https://www.tines.com/llm/docs/api/stories/links.md)*

# Delete

*[View on tines.com](https://www.tines.com/docs/api/stories/links/delete/)*

## Description

Delete one or more links between actions. All links must belong to the same story.

## Request

HTTP Method: **DELETE**

| Parameter   | Description                                                                                 |
| ----------- | ------------------------------------------------------------------------------------------- |
| links       | An array of link objects to delete. Each object must include `source_id` and `receiver_id`. |
| source_id   | The ID of the source action.                                                                |
| receiver_id | The ID of the receiver action.                                                              |

### Sample request

```bash
curl -X DELETE \
  https://<tenant-domain>/api/v1/links \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "links": [
          {
            "source_id": "123",
            "receiver_id": "456"
          }
        ]
      }'
```

### Bulk delete

Multiple links can be deleted in a single request. All links must belong to the same story.

```bash
curl -X DELETE \
  https://<tenant-domain>/api/v1/links \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "links": [
          {
            "source_id": "123",
            "receiver_id": "456"
          },
          {
            "source_id": "456",
            "receiver_id": "789"
          }
        ]
      }'
```

## Response

A successful request will return an empty response with a `204` status code.
